Package org.postgresql.replication

# Enum ReplicationType

java.lang.Object
java.lang.Enum<ReplicationType>
org.postgresql.replication.ReplicationType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReplicationType>`, `java.lang.constant.Constable`

public enum ReplicationType extends Enum<ReplicationType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOGICAL`
`PHYSICAL`

## Method Summary

Modifier and Type
Method
Description
`static ReplicationType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ReplicationType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOGICAL

public static final ReplicationType LOGICAL

### PHYSICAL

public static final ReplicationType PHYSICAL

## Method Details

### values

public static ReplicationType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ReplicationType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null